%define name moserial
%define version 2.30.0
%define release %mkrel 1
#%define __libtoolize /bin/true

Summary:       Serial terminal for the gnome desktop
Name:          %{name}
Version:       %{version}
Release:       %{release}
Group:         Communications
License:       GPLv3
URL:           http://live.gnome.org/moserial/
Source0:       http://ftp.gnome.org/pub/GNOME/sources/moserial/2.28/moserial-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: vala 
BuildRequires: desktop-file-utils 
BuildRequires: GConf2-devel 
BuildRequires: perl-XML-Parser 
BuildRequires: intltool 
BuildRequires: gnome-doc-utils
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
Moserial is a clean, friendly gtk-based serial terminal for the gnome
desktop. It is written in Vala for extra goodness.

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std
desktop-file-install --vendor="" \
 --remove-category="Application" \
 --remove-category="TerminalEmulator" \
 --add-category="X-MandrivaLinux-System-Terminals" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 data/icons/48x48/apps/%name.png %buildroot/%_liconsdir/%name.png
install -m 644 data/icons/48x48/apps/%name.png %buildroot/%_iconsdir/%name.png
install -m 644 data/icons/48x48/apps/%name.png %buildroot/%_miconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png


%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor


%postun
%{clean_menus}
%clean_icon_cache hicolor


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog ChangeLog.pre-git COPYING MAINTAINERS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/%{name}/glade/%{name}.ui
%{_datadir}/omf/%{name}
%{_datadir}/man/man1/%{name}.1.bz2
%_liconsdir/*png
%_iconsdir/*png
%_miconsdir/*png


%changelog
* Wed Mar 31 2010 siamer <siamer@wp.pl> 2.30.0-1pclos2010
- new version

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- rebuild

* Tue Oct 06 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Mon Jun 01 2009 slick50 <lxgator@gmail.com> 2.27.3-1pclos2009
- initial pkg

